# Ratio Analysis

### Example URL:

```
https://api2.redflagalert.net/v4/companies/01777777/ratio-analysis/
```

### JSON Structure:

```javascript
{
	"data": [{
		"attributes": {
			"total_assets_per_employee": 353065,
			"profit_capital_employed": 27,
			"wages_sales": 14,
			"profit_sales": 23,
			"working_capital_turnover": -20,
			"turnover_fixed_assets": 1,
			"account_date": "2015-12-31",
			"current_liabilities_stocks": 41,
			"total_assets_audit_fees": 8499,
			"creditors_debtors": 1,
			"export_sales": 51,
			"sales_audit_fees": 6264,
			"capital_employed_per_employee": 222181,
			"turnover_total_assets": 73,
			"long_term_debt_net_worth": 113,
			"total_debt_working_capital": -2,
			"debtors_total_assets": 3,
			"interest_pre_interest_profit": 25,
			"liquidity_ratio": 0,
			"profit_total_assets": 17,
			"current_ratio": 0,
			"profit_shareholders_funds": 59,
			"profit_per_employee": 60344,
			"total_fixed_assets_per_employee": 274994,
			"average_employee_remuneration": 37336,
			"shareholders_funds_total_assets": 0,
			"total_debt_net_worth": 150,
			"sales_per_employee": 260229
		},
		"type": "ratio_analysis",
		"id": "645323-1260598831"
	}]
}
```

### Attributes

| Field Key                         | Description                                                                                                      | Notes |
| --------------------------------- | ---------------------------------------------------------------------------------------------------------------- | ----- |
| `total_assets_per_employee`       | A performance ratio that divides total assets by the number of employees                                         |       |
| `profit_capital_employed`         | A performance ratio that divides pre-tax profit by the capital employed (shareholders funds plus long term debt) |       |
| `wages_sales`                     | A performance ratio that divides the wage bill by the total sales turnover figure                                |       |
| `profit_sales`                    | A performance ratio that divides profits by the total sales turnover figure to show the margin                   |       |
| `working_capital_turnover`        | A performance ratio that divides total sales turnover by working capital                                         |       |
| `turnover_fixed_assets`           | A performance ratio that divides total sales turnover by fixed assets                                            |       |
| `account_date`                    | The end of the accounting period for the data                                                                    |       |
| `current_liabilities_stocks`      | A performance ratio that divides liabilities due over the next 12 months by the asset value of stocks            |       |
| `total_assets_audit_fees`         | A performance ratio that divides total assets by audit fees                                                      |       |
| `creditors_debtors`               | A performance ratio that divides creditors by debtors to indicate liquidity                                      |       |
| `export_sales`                    | The value of exports                                                                                             |       |
| `sales_audit_fees`                | Supplementary audit fees                                                                                         |       |
| `capital_employed_per_employee`   | A performance ratio that divides capital employed by the number of employees                                     |       |
| `turnover_total_assets`           | A performance ratio that divides total sales turnover by total assets                                            |       |
| `long_term_debt_net_worth`        | A performance ratio that divides long term debt by the net worth                                                 |       |
| `total_debt_working_capital`      | A performance ratio that divides total debt by net working capital                                               |       |
| `debtors_total_assets`            | A performance ratio that divides debtors by total assets                                                         |       |
| `interest_pre_interest_profit`    | A performance ratio that shows the burden of interest payments                                                   |       |
| `liquidity_ratio`                 | A performance ratio the divides current assets minus stocks by current liabilities                               |       |
| `profit_total_assets`             | A performance ratio that divides pre tax profits by total assets                                                 |       |
| `current_ratio`                   | A performance ratio the divides current assets by current liabilities                                            |       |
| `profit_shareholders_funds`       | A performance ratio that divides pre-tax profits by shareholders funds (net worth, plus intangible assets)       |       |
| `profit_per_employee`             | A performance ratio that divides pre-tax profits by the number of employees                                      |       |
| `total_fixed_assets_per_employee` | A performance ratio that divides total fixed assets by the number of employees                                   |       |
| `average_employee_remuneration`   | A performance ratio that divides salaries and wages by the number of employees.                                  |       |
| `shareholders_funds_total_assets` | A performance ratio that divides shareholders funds by total assets                                              |       |
| `total_debt_net_worth`            | A performance ratio that divides total debt by net worth                                                         |       |
| `sales_per_employee`              | A performance ratio that divides total sales turnover by the number of employees.                                |       |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.redflagalert.net/company-resources/ratio-analysis.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
